#!/bin/bash

SYSCONFDIR=/etc
DEFAULTSDIR=/etc/defaults

remove_default() {
  local fn
  if [ -n "$1" ]
  then
    fn=$1
  else
    return
  fi

  if [ -f "${DEFAULTSDIR}/$fn" -a -f "$fn" ]
  then
    if cmp -s "${DEFAULTSDIR}/$fn" "$fn"
    then
      rm -f "$fn"
    fi
  fi
}

/usr/bin/install-info --delete --dir-file=/usr/share/info/dir --info-file=/usr/share/info/inetutils.info.gz

# these might fail if the daemon is running. 
# but then, so will the actual uninstall of 
# the daemon...
remove_default "${SYSCONFDIR}/ftpusers"
remove_default "${SYSCONFDIR}/ftpwelcome"
remove_default "${SYSCONFDIR}/inetd.conf"
remove_default "${SYSCONFDIR}/motd"
remove_default "${SYSCONFDIR}/shells"
remove_default "${SYSCONFDIR}/syslog.conf"

